Create a notification demo page
Open, NormalPublic

Description

@MSchottlender-WMF had a great idea: we should build a demo page for notifications, similar to the OOUI widgets demo, based on the new widgets planned in T115419. This demo should exercise all the different options that the widgets provide for. Additionally (or separately), it would also be great to have a demo that shows examples of all notification types in existence; this might be tricky to generate automatically, but we could always hand-code the demo data to start with.

Catrope created this task.Oct 15 2015, 12:50 AM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a project: Notifications.
Catrope added subscribers: Catrope, MSchottlender-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope set Security to None.
Catrope triaged this task as Normal priority.
Catrope assigned this task to MSchottlender-WMF.
Catrope reassigned this task from MSchottlender-WMF to Mooeypoo.
NQ added a subscriber: NQ.Oct 17 2015, 1:56 PM

Change 247017 had a related patch set uploaded (by Mooeypoo):
[WIP^n] Create a notifications widget demo

https://gerrit.wikimedia.org/r/247017

Change 254612 had a related patch set uploaded (by Mooeypoo):
[wip] Add a demo special page to Echo notifications

https://gerrit.wikimedia.org/r/254612

Mooeypoo closed this task as Invalid.Jun 30 2016, 6:11 PM

Now that we have a proper Special:Notifications page with filters, this is no longer needed.

Change 254612 abandoned by Mooeypoo:
Add a demo special page to Echo notifications

Reason:
No longer relevant.

https://gerrit.wikimedia.org/r/254612

Quiddity reopened this task as Open.Sep 16 2016, 10:49 PM

Re-opening, I still think this would be useful to have.
(Either a page which demonstrates each variant,
or a way to trigger test notifications to myself so that I can easily see how variant-foo currently behaves. Simple is fine, even a userscript at betacluster would suffice!)

Hm. We could create a fake API response with a bunch of notifications - but it won't really reflect reality, since it's a fake API response and not a real one. That is, we will have to constantly update it whenever the API response changes in general, or it will start being inconsistent with the real reply.

And we can't really do a real API request, because that would requiring actually producing the notifications, which will pollute yours.

I am thinking if maybe we can have some fake user that we create notifications for, and then use that user's API output for some demo of how notifications are. Perhaps create some script that will periodically request that API response and update the demo with it.

I'm not sure what's the best way to do this is. The original idea of the demo was when we thought of supplying 2 versions of display (or something with beta features), so you cold look at your notifications with either version, but we're not offering that.

And we can't really do a real API request, because that would requiring actually producing the notifications, which will pollute yours.

Might that be ok at beta cluster? I'm happy with whatever solution requires the least development time!